# class Chef::Resource::Ohai

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource.new

    # File lib/chef/resource/ohai.rb, line 28
    def initialize(name, run_context=nil)
      super
      @resource_name = :ohai
      @name = name
      @allowed_actions.push(:reload)
      @action = :reload
      @plugin = nil
    end

### Public Instance Methods

name(arg=nil) click to toggle source

    # File lib/chef/resource/ohai.rb, line 45
    def name(arg=nil)
      set_or_return(
        :name,
        arg,
        :kind_of => [ String ]
      )
    end

plugin(arg=nil) click to toggle source

    # File lib/chef/resource/ohai.rb, line 37
    def plugin(arg=nil)
      set_or_return(
        :plugin,
        arg,
        :kind_of => [ String ]
      )
    end